USE COWS
GO

ALTER TABLE dbo.DSPL_VW ADD TEMPID INT NULL;
GO
UPDATE dbo.DSPL_VW SET TEMPID = DSPL_VW_ID;
GO
ALTER TABLE dbo.DSPL_VW ALTER COLUMN TEMPID INT NOT NULL;
GO

ALTER TABLE dbo.DSPL_VW_COL NOCHECK CONSTRAINT ALL 
GO

ALTER TABLE dbo.DSPL_EVENT_MAPNG NOCHECK CONSTRAINT ALL 
GO

ALTER TABLE dbo.DSPL_VW NOCHECK CONSTRAINT ALL 
GO

ALTER TABLE dbo.DSPL_EVENT_MAPNG DROP CONSTRAINT [FK01_DSPL_EVENT_MAPNG];
GO
ALTER TABLE dbo.DSPL_VW_COL DROP CONSTRAINT [FK01_DSPL_VW_COL];
GO
ALTER TABLE dbo.DSPL_VW DROP CONSTRAINT PK_DSPL_VW;
GO
ALTER TABLE dbo.DSPL_VW DROP COLUMN DSPL_VW_ID;
GO
EXEC SP_RENAME 'dbo.DSPL_VW.TEMPID', 'DSPL_VW_ID', 'COLUMN';
ALTER TABLE dbo.DSPL_VW ADD CONSTRAINT PK_DSPL_VW PRIMARY KEY (DSPL_VW_ID) 
GO


ALTER TABLE [dbo].[DSPL_VW_COL]  WITH NOCHECK ADD CONSTRAINT [FK01_DSPL_VW_COL] FOREIGN KEY([DSPL_VW_ID])
REFERENCES [dbo].[DSPL_VW] ([DSPL_VW_ID])
GO

ALTER TABLE [dbo].[DSPL_VW_COL] CHECK CONSTRAINT [FK01_DSPL_VW_COL]
GO

ALTER TABLE [dbo].[DSPL_EVENT_MAPNG]  WITH NOCHECK ADD CONSTRAINT [FK01_DSPL_EVENT_MAPNG] FOREIGN KEY([DSPL_VW_ID])
REFERENCES [dbo].[DSPL_VW] ([DSPL_VW_ID])
GO

ALTER TABLE [dbo].[DSPL_EVENT_MAPNG] CHECK CONSTRAINT [FK01_DSPL_EVENT_MAPNG]
GO


ALTER TABLE dbo.DSPL_VW_COL CHECK CONSTRAINT ALL 
GO
ALTER TABLE dbo.DSPL_EVENT_MAPNG CHECK CONSTRAINT ALL 
GO
ALTER TABLE dbo.DSPL_VW CHECK CONSTRAINT ALL 
GO

